#!/bin/sh



RPMROOT=/var/tmp/fwbuilder-floppyfw
EXPORTDIR=`pwd`/export
SPECFILE=fwbuilder-floppyfw.spec

mkdir -p ${EXPORTDIR}

VERSION=`awk '/Version:/ { print $2; }' $SPECFILE`
TAR_FILE=fwbuilder-floppyfw-${VERSION}.tar.gz
SNAPSHOT_DIR=fwbuilder-floppyfw-${VERSION}

if [ ! -f $SPECFILE ]; then
    echo "Can't find spec file"
    exit 1
fi

RPMFILES="build_rpm.sh                \
	  fwbuilder-floppyfw.spec     \
	  doc                         \
	  src/floppyfw_install.sh     \
          src/fwbdialog"


cd ${EXPORTDIR}
rm -rf ${SNAPSHOT_DIR}
ln -s .. ${SNAPSHOT_DIR}

FILELIST=`for f in ${RPMFILES}; do echo ${SNAPSHOT_DIR}/$f; done`

tar -ch  --exclude CVS --exclude *.bak -f - ${FILELIST}  | gzip > ${TAR_FILE} 
cd ..

echo " === Building RPM for fwbuilder-floppyfw version $VERSION === "

mkdir -p ${RPMROOT}
mkdir -p ${RPMROOT}/SOURCES
mkdir -p ${RPMROOT}/BUILD
mkdir -p ${RPMROOT}/SPECS
mkdir -p ${RPMROOT}/SRCS
mkdir -p ${RPMROOT}/RPMS
mkdir -p ${RPMROOT}/RPMS/i386
mkdir -p ${RPMROOT}/SRPMS

if [ ! -d $EXPORTDIR ]; then
    echo "Can't find export directory"
    exit 1
else

    if [ ! -f ${EXPORTDIR}/${TAR_FILE} ]; then
	make tar
    fi

    cp ${EXPORTDIR}/${TAR_FILE} ${RPMROOT}/SOURCES
    cp ${SPECFILE} ${RPMROOT}/SPECS 
    cd ${RPMROOT}/SPECS

    RPMARCH=""

    rm -f .rpmmacros
    echo "%_topdir ${RPMROOT}" > .rpmmacros

    export HOME=`pwd`; rpm -ba $RPMARCH ${SPECFILE} 

fi

