#!/bin/sh
#
#                          Firewall Builder
#
#                 Copyright (C) 2001 Vadim Kurland
#
#  Author:  Vadim Kurland     vadim@vk.crocodile.org
#
#####
#
#  floppyfw_install.sh
#
# This script installs compiled firewall policy on floppyfw single-floppy
# firewall
#
# Script uses mtools(3) and gdialog
#


DIR=""

while getopts "f:d:" OPT
do
  if [ "X$OPT" = "Xd" ]; then DIR=$OPTARG; fi
done
shift $(( $OPTIND - 1 ))

FW=$1

if [ -n "$DIR" ]; then
  cd $DIR; RES=$?
  if [ $RES != 0 ]; then
    echo "Can not chdir to " $DIR
    exit 1
  fi
fi

if [ -z "$FW" -o ! -f ${FW}.fw ]; then
    echo "Firewall Builder:  policy installer for single floppy firewall"
    echo "Usage: floppyfw_install.sh [-d destdir] firewall_object_name"
    exit 1
fi

S=`whereis -b minfo`
set $S

if [ "X$2" = "X" ]; then
    echo
    echo "Mtools package not found, can not copy firewall script to floppy"
    echo
    exit 1
fi


until minfo a: >/dev/null 2>1; do
    fwbdialog \
"No disk in the floppy drive, or disk read error. 
Retry?"; RES=$?
    if [ $RES != 0 ]; then
	echo
	echo "No disk in the floppy drive, or fatal disk read error. Aborting"
	echo
	exit 1
    fi
done

S=`mdir -b`
set $S

ffwf=""
while [ -n "$1" ]; do
    str=`echo $1 | tr "[A-Z]" "[a-z]"`
    if [ "X$str" = "Xa:/firewall.ini" ]; then ffwf=${ffwf}O; fi
    if [ "X$str" = "Xa:/floppyfw.msg" ]; then ffwf=${ffwf}O; fi
    shift
done

if [ "X$ffwf" != "XOO" ]; then
    echo 
    echo "This disk does not appear to be floppyfw. Aborting"
    echo
    exit 1
fi

mcopy -o ${FW}.fw a:firewall.ini
mdir

exit 0
